=== added directory 'plugin/math_functions'
=== added file 'plugin/math_functions/functions.cc'
--- plugin/math_functions/functions.cc	1970-01-01 00:00:00 +0000
+++ plugin/math_functions/functions.cc	2010-09-12 01:42:27 +0000
@@ -0,0 +1,45 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include "plugin/math_functions/functions.h"
+
+using namespace drizzled;
+
+static int init(drizzled::module::Context &context)
+{
+  (void)context;
+  
+  return 0;
+}
+
+DRIZZLE_DECLARE_PLUGIN
+{
+  DRIZZLE_VERSION_ID,
+  "Math Functions",
+  "1.0",
+  "Brian Aker",
+  "Math Functions.",
+  PLUGIN_LICENSE_GPL,
+  init,
+  NULL,
+  NULL
+}
+DRIZZLE_DECLARE_PLUGIN_END;

=== added file 'plugin/math_functions/functions.h'
--- plugin/math_functions/functions.h	1970-01-01 00:00:00 +0000
+++ plugin/math_functions/functions.h	2010-09-12 01:42:27 +0000
@@ -0,0 +1,26 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef PLUGIN_MATH_FUNCTIONS_FUNCTIONS_H
+#define PLUGIN_MATH_FUNCTIONS_FUNCTIONS_H
+
+#include "drizzled/plugin/table_function.h"
+
+#endif /* PLUGIN_MATH_FUNCTIONS_H */

=== added file 'plugin/math_functions/plugin.ini'
--- plugin/math_functions/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/math_functions/plugin.ini	2010-09-12 01:42:27 +0000
@@ -0,0 +1,9 @@
+[plugin]
+title=Math Functions
+description= Math Functions
+load_by_default=yes
+sources= 
+  functions.cc
+headers=
+  functions.h
+static=yes

=== added directory 'plugin/string_functions'
=== added file 'plugin/string_functions/functions.cc'
--- plugin/string_functions/functions.cc	1970-01-01 00:00:00 +0000
+++ plugin/string_functions/functions.cc	2010-09-12 01:42:27 +0000
@@ -0,0 +1,45 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+#include "plugin/math_functions/functions.h"
+
+using namespace drizzled;
+
+static int init(drizzled::module::Context &context)
+{
+  (void)context;
+  
+  return 0;
+}
+
+DRIZZLE_DECLARE_PLUGIN
+{
+  DRIZZLE_VERSION_ID,
+  "String Functions",
+  "1.0",
+  "Brian Aker",
+  "String Functions.",
+  PLUGIN_LICENSE_GPL,
+  init,
+  NULL,
+  NULL
+}
+DRIZZLE_DECLARE_PLUGIN_END;

=== added file 'plugin/string_functions/functions.h'
--- plugin/string_functions/functions.h	1970-01-01 00:00:00 +0000
+++ plugin/string_functions/functions.h	2010-09-12 01:42:27 +0000
@@ -0,0 +1,26 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef PLUGIN_STRING_FUNCTIONS_FUNCTIONS_H
+#define PLUGIN_STRING_FUNCTIONS_FUNCTIONS_H
+
+#include "drizzled/plugin/function.h"
+
+#endif /* PLUGIN_STRING_FUNCTIONS_H */

=== added file 'plugin/string_functions/plugin.ini'
--- plugin/string_functions/plugin.ini	1970-01-01 00:00:00 +0000
+++ plugin/string_functions/plugin.ini	2010-09-12 01:42:27 +0000
@@ -0,0 +1,9 @@
+[plugin]
+title=String Functions
+description= String Functions
+load_by_default=yes
+sources= 
+  functions.cc
+headers=
+  functions.h
+static=yes

